Name:           ecm
Version:        6.2.1
Release:        1%{?dist}
Summary:        Elliptic Curve Method for Integer Factorization
Group:          Applications/Engineering
License:        LGPLv2+ and GPLv2+
URL:            http://gforge.inria.fr/projects/ecm/
Source0:        http://gforge.inria.fr/frs/download.php/4837/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gmp-devel


%description
Programs and libraries employing elliptic curve method for factoring
integers (with GMP for arbitrary precision integers).


%package        devel
Summary:        Files useful for ECM development
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-static = %{version}-%{release}


%description    devel
The libraries and header files for using %{name} for development.


%prep
%setup -q
iconv -f iso-8859-1 -t utf-8 README > README.UTF-8
touch -r README README.UTF-8
mv README.UTF-8 README


%build
%configure CFLAGS="%{optflags}"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README COPYING COPYING.LIB
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.a


%changelog
* Wed Nov 26 2008 Conrad Meyer <konrad@tylerc.org> - 6.2.1-1
- Initial package.
